<?php
require "../config.php";
$tblname = 'a0004';

/* handle requests */
switch ($_POST['action']) {
    default:
        echo "INVALID REQUEST";
        break;

    case "create":  
        actionCreate($_POST['data']);
        break;

    case "update":  
        actionUpdate($_POST['data']);
        break;

    case "delete":  
        actionDelete($_POST['data']);
        break;
}

function actionCreate ($d) {
	global $db, $tblname;
	$error = "";
	
    /* database */  
    $sql = "INSERT {$tblname} (id, name, price, photo) VALUES (?, ?, ?, ?)";
    $ary = array($d['id'], $d['name'], $d['price'], $d['photo']);
    if(!$db->execute($sql, $ary)) $error = $db->error;
    elseif($db->rowCount == 0) $error = "CREATE Nothing";
	
    /* response */
    echo json_encode([
        "sts" => $error=="" ? "succ" : "fail",
        "err" => $error,
        "msg" => "CREATE success",
    ]);	
}

function actionUpdate ($d) {
	global $db, $tblname;
	$error = "";
	
    /* database */  
    $sql = "UPDATE {$tblname} SET name=?, price=?, photo=? WHERE id=? ";
	$ary = array($d['name'], $d['price'], $d['photo'], $d['id']);
    if(!$db->execute($sql, $ary)) $error = $db->error;
    elseif($db->rowCount == 0) $error = "UPDATE Nothing";
	
    /* response */
    echo json_encode([
        "sts" => $error=="" ? "succ" : "fail",
        "err" => $error,
        "msg" => "UPDATE success",
    ]);	
}

function actionDelete ($d) {
    global $db, $tblname;
    $error = "";
	
    /* database */  
    $sql = "DELETE FROM {$tblname} WHERE id=?";
    $ary = array($d['id']);
    if(!$db->execute($sql, $ary)) $error = $db->error;
    elseif($db->rowCount == 0) $error = "DELETE Nothing";
	
    /* response */
    echo json_encode([
        "sts" => $error=="" ? "succ" : "fail",
        "err" => $error,
        "msg" => "DELETE success",
    ]);	
}
